org.eclipse.gef.common.beans.value

## Interface WritableMultisetValue<E>

Type Parameters:
  `E` - The element type of the `ObservableMultiset`.

All Superinterfaces:
  java.util.Collection<E>, java.lang.Iterable<E>, com.google.common.collect.Multiset<E>, javafx.beans.Observable, ObservableMultiset<E>, javafx.beans.value.WritableObjectValue<ObservableMultiset<E>>, javafx.beans.value.WritableValue<ObservableMultiset<E>>

All Known Implementing Classes:
  MultisetProperty, MultisetPropertyBase, ReadOnlyMultisetWrapper, SimpleMultisetProperty

    public interface WritableMultisetValue<E>
    extends javafx.beans.value.WritableObjectValue<ObservableMultiset<E>>, ObservableMultiset<E>

A writable reference to an `ObservableMultiset`.

This interface provides identical functionality for `Multiset` as `WritableMapValue` for `Map`, `WritableSetValue` for `Set`, or `WritableListValue` for `List`.

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.google.common.collect.Multiset

`com.google.common.collect.Multiset.Entry<E>`

### Method Summary

### Methods inherited from interface javafx.beans.value.WritableObjectValue

`get, set`

### Methods inherited from interface javafx.beans.value.WritableValue

`getValue, setValue`

### Methods inherited from interface org.eclipse.gef.common.collections.ObservableMultiset

`addListener, removeListener, replaceAll`

### Methods inherited from interface com.google.common.collect.Multiset

`add, add, contains, containsAll, count, elementSet, entrySet, equals, hashCode, iterator, remove, remove, removeAll, retainAll, setCount, setCount, toString`

### Methods inherited from interface java.util.Collection

`addAll, clear, isEmpty, parallelStream, removeIf, size, spliterator, stream, toArray, toArray`

### Methods inherited from interface java.lang.Iterable

`forEach`

### Methods inherited from interface javafx.beans.Observable

`addListener, removeListener`